Unit tde92r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FDE92R_p, DE92R_p;

function tde92r: String;

implementation

function tde92r: String;
var
M,JSTART,IH,IERR :Integer;
X,HMIN,EPS,P,H,Y4,T1,Y3,T2,AA,BB,C,Y2,T3,DD,FF,GG,QQ,Y1,XP :Real;
BUL :Boolean;
YX :Array [0..3] of Real;
YP :Array [0..3] of Real;
A :Array [0..15] of Real;
A1 :Array [0..15] of Real;
A2 :Array [0..15] of Real;
RAB :Array [0..15] of Real;
R1 :Array [0..3] of Real;
R2 :Array [0..3] of Real;
YD :Array [0..3] of Real;
label
_100,_101,_102,_103,_104,_105,_106;
begin
Result := '';  {   }
M := 4;
X := 0.0;
YX[0] := 1.0;
YX[1] := 1.0;
YX[2] := 1.0;
YX[3] := 1.0;
HMIN := 1.E-10;
EPS := 1.E-4;
P := 1.E3;
JSTART := 0;
H := 0.01;
IH := 0;
_100:
IH := IH + 1;
DE92R (FDE92R,M,JSTART,HMIN,EPS,P,YX,X,H,BUL,XP,YP,A,A1,
     A2,RAB,R1,R2,YD,IERR);
{  BCEHE TOHOO PEEH CCTEM: }
Y4 := Exp(-0.1*X);
T1 := Exp(-X);
Y3 := -(9.1/0.9)*T1 + (10.0/0.9)*Y4;
T2 := Exp(-1.E3*X);
AA := -91.0/(0.9*999.0);
BB := 91.0/(0.9*999.9);
C := 1.0-AA-BB;
Y2 := C*T2+AA*T1+BB*Y4;
T3 := Exp(-1.E4*X);
DD := C/90.0;
FF := (100.0*AA+91.0/0.9)/9999.0;
GG := (100.0*BB-100.0/0.9+1.0)/9999.9;
QQ := 1.0-DD-FF-GG;
Y1 := QQ*T3+DD*T2+FF*T1+GG*Y4;
Result := Result + Format('%s',[' ']) + #$0D#$0A; 
Result := Result + Format('%s',[' ']) + #$0D#$0A; 
Result := Result + Format('%s',[' ']) + #$0D#$0A; 
Result := Result + Format(' %20.16f  %20.16f ',[Y1,Y2]) + #$0D#$0A;
Result := Result + Format('%s',[' ']) + #$0D#$0A; 
Result := Result + Format(' %20.16f  %20.16f ',[Y3,Y4]) + #$0D#$0A;
Result := Result + Format('%s',[' ']) + #$0D#$0A; 
Result := Result + Format('%s',[' ']) + #$0D#$0A; 
Result := Result + Format(' %20.16f  %20.16f ',[YX[0],YX[1]]) + #$0D#$0A;
Result := Result + Format('%s',[' ']) + #$0D#$0A; 
Result := Result + Format(' %20.16f  %20.16f  %20.16f  %20.16f ',
 [YX[2],YX[3],X,H]) + #$0D#$0A;
Result := Result + Format('%s',[' ']) + #$0D#$0A; 
Result := Result + Format('%s',[' ']) + #$0D#$0A; 
Result := Result + Format('%s',
 [' PACEATKA OPEHOCT PEHHOO PEEH']) + #$0D#$0A; 
Result := Result + Format('%s',[' ']) + #$0D#$0A; 
{  PACEATKA OPEHOCT PEHHOO PEEH }
Result := Result + Format(' %20.16f  %20.16f  %20.16f  %20.16f ',
 [RAB[0],RAB[1],RAB[2],RAB[3]]) + #$0D#$0A;
case IH of
 1: goto _101;
 2: goto _102;
 3: goto _103;
 4: goto _104;
 5: goto _105;
 6: goto _106;
end;
_101:
H := 1.E-8;
goto _100;
_102:
EPS := 1.E-2;
goto _100;
_103:
JSTART := -1;
EPS := 1.E-4;
goto _100;
_104:
JSTART := -1;
H := -1.E-8;
goto _100;
_105:
H := 0.01;
goto _100;
_106:
UtRes('tde92r',Result);  {     tde92r.res }
exit;
end;

end.
